> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeem existing unused voucher

> Redeems an existing unused voucher



## OpenAPI

````yaml patch /v1/vouchers
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/vouchers:
    patch:
      tags:
        - Voucher
      summary: Redeem existing unused voucher
      description: Redeems an existing unused voucher
      operationId: redeem-voucher
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: Email that was used to create the voucher
                voucherCode:
                  type: string
                  description: Voucher code to be redeemed
              required:
                - email
                - voucherCode
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Voucher ID
                      email:
                        type: string
                        description: Email that aws used to create the voucher
                      voucherCode:
                        type: string
                        description: Voucher code to be redeemed
                      amount:
                        type: number
                        description: Voucher amount after fee deduction
                      fee:
                        type: number
                        description: The fee associated with voucher
                      wavedFee:
                        type: number
                        description: Waved fee (if available)
                      merchant:
                        type: string
                        description: username of the merchant that created the voucher
                      currency:
                        type: string
                        description: voucher payment currency
                        enum:
                          - NGN
                          - USD
                      feeBearer:
                        type: string
                        description: The bearer of voucher fee
                        enum:
                          - client
                          - merchant
                        default: client
                      toAmount:
                        type: number
                        description: >-
                          The amount in the currency that was converted to when
                          conversion was done. If there's no conversion, this is
                          the same as fromAmount.
                      fromAmount:
                        type: number
                        description: >-
                          The amount in the currency that was converted from
                          when conversion was done. If there's no conversion,
                          this is the same as toAmount.
                      fromCurrency:
                        type: string
                        description: >-
                          The currency from which conversion was done. If
                          there's no conversion, this is the same as toCurrency.
                      toCurrency:
                        type: string
                        description: >-
                          The currency to which conversion was done. If there's
                          no conversion, this is the same as fromCurrency.
                      rate:
                        type: number
                        description: >-
                          The exchange rate that was used for conversion when
                          conversion was done. If there's no conversion, the
                          value is 1.
                      previousBalance:
                        type: number
                        description: Merchant's balance before redeeming voucher
                      currentBalance:
                        type: number
                        description: Merchant's balance after redeeming voucher
        '400':
          description: Failed operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: string
                    example:
                      - voucherCode is required
        '404':
          description: Failed operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  errors:
                    type: array
                    example: []
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````